prometheus-client-c 0.1.1 Prometheus client for the C programming language

Typedefs | Functions
prom_metric_sample_histogram.h File Reference

Functions for interacting with histogram metric samples directly. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct prom_metric_sample_histogram | prom_metric_sample_histogram_t
| A histogram metric sample.

## Functions
int | prom_metric_sample_histogram_observe (prom_metric_sample_histogram_t *self, double value)
| Observe the double for the given prom_metric_sample_histogram_observe_t. More...

## Detailed Description

Functions for interacting with histogram metric samples directly.

## Function Documentation

## ◆ prom_metric_sample_histogram_observe()

int prom_metric_sample_histogram_observe | ( | prom_metric_sample_histogram_t * | self,
|  | double | value
| ) |  |

Observe the double for the given prom_metric_sample_histogram_observe_t.

Parameters

  self | The target prom_metric_sample_histogram_t*
  value | The value to observe.

Returns
  Non-zero integer value upon failure